
QGIS Application - Bug report #14481

If already opened QGIS Browser (standalone and panel) doesn't show newly connected usb drives

2016-03-13 01:03 PM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee:

Category: Browser

Affected QGIS version:3.0.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22458

Description

hi,

I connect an usb drive disk and it's not listed among the drives of QGIS browser panel. However, it's available when using QGIS Browser

Standalone.

tested on windows 10.

======================================

New description:

Testing further. Actually, the drive isn't found if the browser panel was opened before the drive is connected. Hitting 'Reload' does

nothing, neither do closing and reopening the browser panel.

However, opening the second browser panel shows the drive.

But if both panels were opened before the connection, none will find it.

It looks like the list of drives is initialised only at the first opening of the panel. If not done automatically, at least reloading button should

also trigger reinitialisation of the drive list, imho.

Same behaviour for QGIS Browser application: doesn't update the list of drives.

Hope that helps a dev to fix this issue.

Associated revisions

Revision 035c78be - 2018-09-25 05:22 AM - Nyall Dawson

Add native platform interface for usb storage events

Allows native interfaces to send a signal when a USB storage device

is inserted/removed

Refs #14481

Revision af4a1df9 - 2018-09-25 05:22 AM - Nyall Dawson

[browser] Correctly show drives inserted (or removed!) after QGIS launch

Fixes #14481, #9843
History

#1 - 2016-05-05 01:52 AM - Harrissou Santanna

- Target version set to Version 2.14

- Subject changed from usb connected drives are not available in QGIS Browser panel to If already opened QGIS Browser (standalone and panel) 

doesn't show newly connected usb drives

#2 - 2017-05-01 01:05 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#3 - 2018-02-28 11:17 AM - Harrissou Santanna

- File browserMissDrive.PNG added

- Affected QGIS version changed from 2.14.0 to 3.0.0

- Description updated

Now, none of the browsers finds the drive if it has been connected after you open QGIS (see screenshot in which the drive G is missing in the instance that

was opened before i connect it - Reload does nothing)

#4 - 2018-09-18 03:41 AM - Nyall Dawson

- Status changed from Open to In Progress

#5 - 2018-09-25 05:21 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|af4a1df90d621794b63ae84d475513d96ed2d6fc.

Files

browserMissDrive.PNG 37.1 KB 2018-02-28 Harrissou Santanna
